Subject: trap #2 for compiling sam on a DEC OSF/1 Alpha

From: Chris Siebenmann <cks>
Date: Fri, 26 Mar 1993 00:05:14 -0500

shorts and ushorts are the traditional 2 bytes, so a Block is 4 bytes
long, which breaks the assumptions behind stuffing Blocks into lists.
This is going to be ugly to fix in a general way, no doubt; I punted
and stuck an '#ifdef __alpha' into sam.h, since I wanted to get it running
(I dislike vi and my ed is rusty).

 Oh, and the Etmpovfl check in bkalloc() (disc.c) seems to need to use
'1l<<' instead of '1<<' if you increase the size of things in a Block
instead of just padding it.

	- cks